Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 166205 - Review Request: alleyoop : Graphical front-end to the Valgrind memory checker for x86
Summary: Review Request: alleyoop : Graphical front-end to the Valgrind memory checker...
Keywords:
Status: CLOSED DUPLICATE of bug 201417
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: David Lawrence
URL: http://alleyoop.sourceforge.net/
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2005-08-17 20:54 UTC by Tom "spot" Callaway
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-14 14:40:41 UTC


Attachments (Terms of Use)

Description Tom "spot" Callaway 2005-08-17 20:54:28 UTC
Spec Name or Url: 
http://www.auroralinux.org/people/spot/review/alleyoop.spec

SRPM Name or Url:
http://www.auroralinux.org/people/spot/review/alleyoop-0.9.0-2.src.rpm

Description: 

Alleyoop is a graphical front-end to the increasingly popular Valgrind
memory checker for x86 GNU/ Linux using the Gtk+ widget set and other
GNOME libraries for the X-Windows environment.

Features include a right-click context menu to intelligently suppress
errors or launch an editor on the source file/jumping to the exact
line of the error condition. A searchbar at the top of the viewer can
be used to limit the viewable errors to those that match the regex
criteria entered. Also included is a fully functional Suppressions
editor.

Comment 1 Michael Schwendt 2005-08-25 10:37:52 UTC
* missing BR gettext
* "X-Desktop-File-Install-Version=0.4" should not be in alleyop.desktop
* s/X-Windows/X Window System/   in %description
* GConf2 --makefile-uninstall-rule code missing in %postun
* scriptlet Requires for GConf2 and scrollkeeper missing

Run-time test from console (with Rawhide), steps to reproduce:
1)
$ alleyoop 
valgrind: Bad option '--logfile-fd=15'; aborting.
valgrind: Use --help for more information.

2) Click "Run" button, enter "/bin/bash", click "Execute".


Comment 2 Tom "spot" Callaway 2005-09-01 21:46:15 UTC
-3 has all these items fixed. Tested with /bin/bash on valgrind 3.0 in rawhide.

SRPM: http://www.auroralinux.org/people/spot/review/alleyoop-0.9.0-3.src.rpm
SPEC: http://www.auroralinux.org/people/spot/review/alleyoop.spec



Comment 3 Michael Schwendt 2005-09-03 01:58:50 UTC
* Fails with a different syntax error for me (rawhide):

$ alleyoop 
valgrind: Bad option '--leak-check=false'; aborting.
valgrind: Use --help for more information.

$ rpm -q alleyoop valgrind fedora-release
alleyoop-0.9.0-3
valgrind-3.0.0-3

* In a moment of distraction, I made the mistake to click "Open", then
selected /bin/bash (also the small /bin/unlink to reproduce), and the
gui became unresponsive, with strace showing what looked like an endless
loop (polling fds). I know "Open" is supposed to load log files, _but_...

* I also noted that once I entered something into the "Run" dialog, it
is impossible to choose a different program without leaving/re-starting
alleyoop first, since clicking "Run" just re-processes the old program.


Comment 4 Jason Tibbitts 2006-08-03 21:53:22 UTC
Someone on IRC acked about whether alleyoop had been submitted and a search
turned up this review, stalled for eleven months now.  Any chance of anything
happening here?

Comment 5 Gianluca Sforna 2006-08-03 22:10:18 UTC
That was me :) I just finished updating the package to 0.9.2 and it seems
working fine on my FC5. 

I could be interested in getting this into FE, it does a nice pair with the
other package I submitted (bug 191473), so if nothing moves on I could try to
hijack it :)

Comment 6 Gianluca Sforna 2006-08-03 22:12:31 UTC
bug 191743 ...

Comment 7 Tom "spot" Callaway 2006-08-04 14:11:51 UTC
Hijack away. Just make sure you test the cases that Michael Schwendt pointed out.

Comment 8 Gianluca Sforna 2006-08-14 14:21:58 UTC
OK. the new review request is bug 201417

Comment 9 Jason Tibbitts 2006-08-14 14:40:41 UTC

*** This bug has been marked as a duplicate of 201417 ***


Note You need to log in before you can comment on or make changes to this bug.